OgreSkeleton.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreResource.h"`
`#include "OgreQuaternion.h"`
`#include "OgreVector3.h"`
`#include "OgreIteratorWrappers.h"`
`#include "OgreStringVector.h"`
`#include "OgreAnimation.h"`

Go to the source code of this file.

## Classes

class | Ogre::Skeleton
| A collection of Bone objects used to animate a skinned mesh. More...
class | Ogre::SkeletonPtr
| Specialisation of SharedPtr to allow SharedPtr to be assigned to SkeletonPtr. More...
struct | Ogre::LinkedSkeletonAnimationSource
| Link to another skeleton to share animations. More...

## Namespaces

namespace | Ogre

## Defines

#define | OGRE_MAX_NUM_BONES 256

## Enumerations

enum | Ogre::SkeletonAnimationBlendMode { Ogre::ANIMBLEND_AVERAGE = 0, Ogre::ANIMBLEND_CUMULATIVE = 1 }

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25